Bug 120560 - building ide driver as module fails
building ide driver as module fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-10 17:05 EDT by Lee Olsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:18:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Olsen 2004-04-10 17:05:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Configuring ide support as modules results in a circular dependency list
ide-core depends on ide-detect and ide-detect depends on ide-core.
depmod reports these symbols undefined in ide-core/System.map:
[root@celerons linux]# /sbin/depmod -ae -F ./System.map
2.4.22-1.2174.nptlcustom
depmod: *** Unresolved symbols in
/lib/modules/2.4.22-1.2174.nptlcustom/kernel/drivers/ide/ide-core.o
depmod:         init_cmd640_vlb
depmod:         ide_wait_hwif_ready
depmod:         ide_probe_for_drive
depmod:         ide_probe_reset
depmod:         ide_tune_drives


Version-Release number of selected component (if applicable):
2.4.22-1.2174 (only kernel source on your ftp site)

How reproducible:
Always

Steps to Reproduce:
1.make xconfigure
2.choose 'm' for ide, ata, atapi support
3.make clean dep bzImage modules modules_install
    

Actual Results:  depmod reports undefined symbols

Expected Results:  no output from depmod

Additional info:

Most modern sound cards need the alsa sound system. Alsa requires
kernel *SOURCE* in order to install. There is no source on the
CDs and only this one broken (and different version from the
binaries) version on your web site. Streams drivers (LiS) also
need source, making my telephony applications unusable until I
come up with a buildable kernel. Until then, I'll continue using
7.3.
Comment 1 Alan Cox 2004-05-03 08:18:36 EDT
2.4.22 doesn't support entirely modular IDE, either in Fedora or
upstream. The kernel source and patches and build scripts are all in
the kernel srpm package, if you want to add other patches on top and
rebuild to match the Fedora kernel.
Comment 2 Lee Olsen 2004-05-03 13:11:28 EDT
This *IS* a bug, and there are three possible actions:
1. Make it work. (Best)
2. Disable modular IDE in xconfig/menuconfig/etc (Worst)
3. set the status to "CLOSED WONT FIX" and hope later kernels
do support it. (Most likely)
Comment 3 David Lawrence 2004-09-29 16:18:33 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.